insmod part_gpt
insmod part_msdos
insmod efi_gop
insmod efi_uga
insmod gfxterm
insmod loopback
insmod all_video
insmod gzio
insmod ext2
insmod fat
insmod iso9660
insmod ntfs

loadfont "${prefix}/fonts/unicode.pf2"

GRUB_GFXMODE=1024x768

color_normal=black/black
menu_color_normal=white/cyan
menu_color_highlight=yellow/light-magenta
background_color gray

set timeout=60
set default=0
set pager=1

menuentry 'boot from hd1' {
set root=hd1
chainloader +1
}

menuentry "Windows 7" {
search -s root --file /bootmgr
ntldr /bootmgr
}

menuentry 'Windows 7 Ultimate SP1' {

set root=hdX,Y
ntldr /bootmgr
}

menuentry "Windows 8 UEFI" {
  search --file --no-floppy --set=root /efi/Microsoft/Boot/bootmgfw.efi
  chainloader /efi/Microsoft/Boot/bootmgfw.efi
}


menuentry "Arch Linux" {
 linux /boot/vmlinuz-linux root=LABEL=Arch_root rw
 initrd /boot/initramfs-linux.img
}

menuentry 'ISO Ubuntu ' {
set isofile="/iso/ubuntu-12.04-desktop-amd64.iso"
loopback loop (hd0,5)$isofile
linux (loop)/casper/vmlinuz boot=casper iso-scan/filename=$isofile noprompt noeject
initrd (loop)/casper/initrd.lz
}


configfile /EFI/boot/grub.cfg


menuentry "Grub4Dos" {
linux /boot/grub.exe --config-file=/boot/grub/menu.lst
}





